import { Coordinates } from '@modules/geography/core/application/types/coordinates.type';
import { SpacetimePoint } from '@modules/geography/core/application/types/spacetime-point.type';

export class RouteResponseDto {
  driverDistance?: number;
  driverDuration?: number;
  passengerDistance?: number;
  passengerDuration?: number;
  fwdAzimuth: number;
  backAzimuth: number;
  distanceAzimuth: number;
  points: SpacetimePoint[] | Coordinates[];
}
